Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shipping
Class ShippingMethodImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.ebusiness.shipping.ShippingMethodImpl

public class ShippingMethodImpl
extends EntityImpl
implements ShippingMethodConstants

A shipping method is a mechanism by which product is delivered. It stores a standard set of attributes and allows for complex shipping cost calculation.

     Primary Key = theory.smart.ebusiness.shipping.ShippingMethodPk

See Also:
  `ShippingMethod`, `ShippingMethodHome`, `ShippingMethodValue`, Serialized Form

Field Summary
`int` | `averageShippingTime` averageShippingTime [ShippingMethod] <*>------> [`int`]
`java.lang.String` | `carrier` carrier [ShippingMethod] <*>------> [`String`]
`java.lang.String` | `costCalculationMechanism` costCalculationMechanism [ShippingMethod] <*>------> [`String`]
`java.lang.String` | `description` description [ShippingMethod] <*>------> [`String`]
`boolean` | `internationalDelivery` internationalDelivery [ShippingMethod] <*>------> [`boolean`]
`java.lang.String` | `key` key [ShippingMethod] <*>------> [`String`] (Primary Key)
`java.lang.String` | `method` method [ShippingMethod] <*>------> [`String`]
`java.lang.String` | `packagingType` packagingType [ShippingMethod] <*>------> [`String`]
`double` | `percentage` percentage [ShippingMethod] <*>------> [`double`]
`boolean` | `poBoxAllowed` poBoxAllowed [ShippingMethod] <*>------> [`boolean`]
`Price` | `price` price [ShippingMethod] <*>------> [`theory.smart.axiom.units.Price`]
`java.lang.String` | `restrictions` restrictions [ShippingMethod] <*>------> [`String`]
`boolean` | `saturdayDelivery` saturdayDelivery [ShippingMethod] <*>------> [`boolean`]
`ShippingCostCalculationPolicy` | `shippingCostCalculationPolicy`
`boolean` | `signatureRequired` signatureRequired [ShippingMethod] <*>------> [`boolean`]
`Quantity` | `sizeLimit` sizeLimit [ShippingMethod] <*>------> [`theory.smart.axiom.units.Quantity`]
`Quantity` | `weightLimit` weightLimit [ShippingMethod] <*>------> [`theory.smart.axiom.units.Quantity`]

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Fields inherited from interface theory.smart.ebusiness.shipping.ShippingMethodConstants
`FLATRATE, PERCENTAGE, PERITEM, POLICY`

Constructor Summary
`ShippingMethodImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`ShippingMethodPk` | `ejbCreate(ShippingMethodPk shippingMethodPk)`
`protected void` | `ejbCreateInitVars(ShippingMethodPk shippingMethodPk)`
`java.util.Enumeration` | `ejbFindAll()`
`ShippingMethodPk` | `ejbFindByPrimaryKey(ShippingMethodPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(ShippingMethodPk shippingMethodPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`int` | `getAverageShippingTime()` Get the value of averageShippingTime
`java.lang.String` | `getCarrier()` Get the value of carrier
`java.lang.String` | `getCostCalculationMechanism()` Get the value of costCalculationMechanism
`java.lang.String` | `getDescription()` Get the value of description
`boolean` | `getInternationalDelivery()` Get the value of internationalDelivery
`java.lang.String` | `getKey()`
`java.lang.String` | `getMethod()` Get the value of method
`java.lang.String` | `getPackagingType()` Get the value of packagingType
`double` | `getPercentage()` Get the value of percentage
`boolean` | `getPoBoxAllowed()` Get the value of poBoxAllowed
`Price` | `getPrice()` Get the value of price
`java.lang.String` | `getRestrictions()` Get the value of restrictions
`boolean` | `getSaturdayDelivery()` Get the value of saturdayDelivery
`Price` | `getShippingCost(PackingList list)` Get the cost of shipping an entire order.
`Price` | `getShippingCost(ShippingCostCalculationPolicy policy, PackingList list)` Get the cost of shipping an entire order using an alternative policy.
`ShippingCostCalculationPolicy` | `getShippingCostCalculationPolicy()`
`ShippingMethodValue` | `getShippingMethodByValue()` Get all of ShippingMethod's attributes.
`boolean` | `getSignatureRequired()` Get the value of signatureRequired
`Quantity` | `getSizeLimit()` Get the value of sizeLimit
`Quantity` | `getWeightLimit()` Get the value of weightLimit
`void` | `setAverageShippingTime(int averageShippingTime)` Set the value of averageShippingTime
`void` | `setCarrier(java.lang.String carrier)` Set the value of carrier
`void` | `setCostCalculationMechanism(java.lang.String costCalculationMechanism)` Set the value of costCalculationMechanism
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setInternationalDelivery(boolean internationalDelivery)` Set the value of internationalDelivery
`void` | `setMethod(java.lang.String method)` Set the value of method
`void` | `setPackagingType(java.lang.String packagingType)` Set the value of packagingType
`void` | `setPercentage(double percentage)` Set the value of percentage
`void` | `setPoBoxAllowed(boolean poBoxAllowed)` Set the value of poBoxAllowed
`void` | `setPrice(Price price)` Set the value of price
`void` | `setRestrictions(java.lang.String restrictions)` Set the value of restrictions
`void` | `setSaturdayDelivery(boolean saturdayDelivery)` Set the value of saturdayDelivery
`void` | `setShippingCostCalculationPolicy(ShippingCostCalculationPolicy policy)`
`void` | `setShippingMethodByValue(ShippingMethodValue value)` Set all of ShippingMethod's attributes to the passed in value.
`void` | `setSignatureRequired(boolean signatureRequired)` Set the value of signatureRequired
`void` | `setSizeLimit(Quantity sizeLimit)` Set the value of sizeLimit
`void` | `setWeightLimit(Quantity weightLimit)` Set the value of weightLimit
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreate, ejbCreateInitVars, ejbPostCreate, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shippingCostCalculationPolicy

    public ShippingCostCalculationPolicy shippingCostCalculationPolicy

### key

    public java.lang.String key

                        key
       [ShippingMethod] <*>------> [String] (Primary Key)

### carrier

    public java.lang.String carrier

                        carrier
       [ShippingMethod] <*>------> [String]

### method

    public java.lang.String method

                        method
       [ShippingMethod] <*>------> [String]

### averageShippingTime

    public int averageShippingTime

                        averageShippingTime
       [ShippingMethod] <*>------> [int]

### price

    public Price price

                        price
       [ShippingMethod] <*>------> [theory.smart.axiom.units.Price]

### weightLimit

    public Quantity weightLimit

                        weightLimit
       [ShippingMethod] <*>------> [theory.smart.axiom.units.Quantity]

### restrictions

    public java.lang.String restrictions

                        restrictions
       [ShippingMethod] <*>------> [String]

### description

    public java.lang.String description

                        description
       [ShippingMethod] <*>------> [String]

### poBoxAllowed

    public boolean poBoxAllowed

                        poBoxAllowed
       [ShippingMethod] <*>------> [boolean]

### signatureRequired

    public boolean signatureRequired

                        signatureRequired
       [ShippingMethod] <*>------> [boolean]

### saturdayDelivery

    public boolean saturdayDelivery

                        saturdayDelivery
       [ShippingMethod] <*>------> [boolean]

### internationalDelivery

    public boolean internationalDelivery

                        internationalDelivery
       [ShippingMethod] <*>------> [boolean]

### sizeLimit

    public Quantity sizeLimit

                        sizeLimit
       [ShippingMethod] <*>------> [theory.smart.axiom.units.Quantity]

### packagingType

    public java.lang.String packagingType

                        packagingType
       [ShippingMethod] <*>------> [String]

### percentage

    public double percentage

                        percentage
       [ShippingMethod] <*>------> [double]

### costCalculationMechanism

    public java.lang.String costCalculationMechanism

                        costCalculationMechanism
       [ShippingMethod] <*>------> [String]

Constructor Detail

### ShippingMethodImpl

    public ShippingMethodImpl()
                       throws CreateException

Method Detail

### getShippingMethodByValue

    public ShippingMethodValue getShippingMethodByValue()
                                                 throws java.rmi.RemoteException

  Get all of ShippingMethod's attributes.
  Returns:
    ShippingMethodValue the ShippingMethod value object

### setShippingMethodByValue

    public void setShippingMethodByValue(ShippingMethodValue value)
                                  throws java.rmi.RemoteException

  Set all of ShippingMethod's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `ShippingMethodValue` - the ShippingMethod value object

### ejbCreate

    public ShippingMethodPk ejbCreate(ShippingMethodPk shippingMethodPk)
                               throws CreateException,
                                      java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(ShippingMethodPk shippingMethodPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(ShippingMethodPk shippingMethodPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class EntityImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class EntityImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class EntityImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class EntityImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class EntityImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class EntityImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class EntityImpl

### ejbFindByPrimaryKey

    public ShippingMethodPk ejbFindByPrimaryKey(ShippingMethodPk pk)
                                         throws FinderException,
                                                java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

### getCarrier

    public java.lang.String getCarrier()
                                throws java.rmi.RemoteException

  Get the value of carrier
  Returns:
    carrier.

### setCarrier

    public void setCarrier(java.lang.String carrier)
                    throws java.rmi.RemoteException

  Set the value of carrier
  Parameters:
    `carrier` - carrier to be added

### getMethod

    public java.lang.String getMethod()
                               throws java.rmi.RemoteException

  Get the value of method
  Returns:
    method.

### setMethod

    public void setMethod(java.lang.String method)
                   throws java.rmi.RemoteException

  Set the value of method
  Parameters:
    `method` - method to be added

### getAverageShippingTime

    public int getAverageShippingTime()
                               throws java.rmi.RemoteException

  Get the value of averageShippingTime
  Returns:
    averageShippingTime.

### setAverageShippingTime

    public void setAverageShippingTime(int averageShippingTime)
                                throws java.rmi.RemoteException

  Set the value of averageShippingTime
  Parameters:
    `averageShippingTime` - averageShippingTime to be added

### getPrice

    public Price getPrice()
                   throws java.rmi.RemoteException

  Get the value of price
  Returns:
    price.

### setPrice

    public void setPrice(Price price)
                  throws java.rmi.RemoteException

  Set the value of price
  Parameters:
    `price` - price to be added

### getWeightLimit

    public Quantity getWeightLimit()
                            throws java.rmi.RemoteException

  Get the value of weightLimit
  Returns:
    weightLimit.

### setWeightLimit

    public void setWeightLimit(Quantity weightLimit)
                        throws java.rmi.RemoteException

  Set the value of weightLimit
  Parameters:
    `weightLimit` - weightLimit to be added

### getRestrictions

    public java.lang.String getRestrictions()
                                     throws java.rmi.RemoteException

  Get the value of restrictions
  Returns:
    restrictions.

### setRestrictions

    public void setRestrictions(java.lang.String restrictions)
                         throws java.rmi.RemoteException

  Set the value of restrictions
  Parameters:
    `restrictions` - restrictions to be added

### getDescription

    public java.lang.String getDescription()
                                    throws java.rmi.RemoteException

  Get the value of description
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)
                        throws java.rmi.RemoteException

  Set the value of description
  Parameters:
    `description` - description to be added

### getPoBoxAllowed

    public boolean getPoBoxAllowed()
                            throws java.rmi.RemoteException

  Get the value of poBoxAllowed
  Returns:
    poBoxAllowed.

### setPoBoxAllowed

    public void setPoBoxAllowed(boolean poBoxAllowed)
                         throws java.rmi.RemoteException

  Set the value of poBoxAllowed
  Parameters:
    `poBoxAllowed` - poBoxAllowed to be added

### getSignatureRequired

    public boolean getSignatureRequired()
                                 throws java.rmi.RemoteException

  Get the value of signatureRequired
  Returns:
    signatureRequired.

### setSignatureRequired

    public void setSignatureRequired(boolean signatureRequired)
                              throws java.rmi.RemoteException

  Set the value of signatureRequired
  Parameters:
    `signatureRequired` - signatureRequired to be added

### getSaturdayDelivery

    public boolean getSaturdayDelivery()
                                throws java.rmi.RemoteException

  Get the value of saturdayDelivery
  Returns:
    saturdayDelivery.

### setSaturdayDelivery

    public void setSaturdayDelivery(boolean saturdayDelivery)
                             throws java.rmi.RemoteException

  Set the value of saturdayDelivery
  Parameters:
    `saturdayDelivery` - saturdayDelivery to be added

### getInternationalDelivery

    public boolean getInternationalDelivery()
                                     throws java.rmi.RemoteException

  Get the value of internationalDelivery
  Returns:
    internationalDelivery.

### setInternationalDelivery

    public void setInternationalDelivery(boolean internationalDelivery)
                                  throws java.rmi.RemoteException

  Set the value of internationalDelivery
  Parameters:
    `internationalDelivery` - internationalDelivery to be added

### getSizeLimit

    public Quantity getSizeLimit()
                          throws java.rmi.RemoteException

  Get the value of sizeLimit
  Returns:
    sizeLimit.

### setSizeLimit

    public void setSizeLimit(Quantity sizeLimit)
                      throws java.rmi.RemoteException

  Set the value of sizeLimit
  Parameters:
    `sizeLimit` - sizeLimit to be added

### getPackagingType

    public java.lang.String getPackagingType()
                                      throws java.rmi.RemoteException

  Get the value of packagingType
  Returns:
    packagingType.

### setPackagingType

    public void setPackagingType(java.lang.String packagingType)
                          throws java.rmi.RemoteException

  Set the value of packagingType
  Parameters:
    `packagingType` - packagingType to be added

### getKey

    public java.lang.String getKey()
                            throws java.rmi.RemoteException

### getPercentage

    public double getPercentage()
                         throws java.rmi.RemoteException

  Get the value of percentage
  Returns:
    percentage.

### setPercentage

    public void setPercentage(double percentage)
                       throws java.rmi.RemoteException

  Set the value of percentage
  Parameters:
    `percentage` - percentage to be added

### getCostCalculationMechanism

    public java.lang.String getCostCalculationMechanism()
                                                 throws java.rmi.RemoteException

  Get the value of costCalculationMechanism
  Returns:
    costCalculationMechanism.

### setCostCalculationMechanism

    public void setCostCalculationMechanism(java.lang.String costCalculationMechanism)
                                     throws java.rmi.RemoteException

  Set the value of costCalculationMechanism
  Parameters:
    `costCalculationMechanism` - costCalculationMechanism to be added

### getShippingCost

    public Price getShippingCost(PackingList list)
                          throws java.rmi.RemoteException

  Get the cost of shipping an entire order.

### getShippingCost

    public Price getShippingCost(ShippingCostCalculationPolicy policy,
                                 PackingList list)
                          throws java.rmi.RemoteException

  Get the cost of shipping an entire order using an alternative policy.

### getShippingCostCalculationPolicy

    public ShippingCostCalculationPolicy getShippingCostCalculationPolicy()
                                                                   throws java.rmi.RemoteException

### setShippingCostCalculationPolicy

    public void setShippingCostCalculationPolicy(ShippingCostCalculationPolicy policy)
                                          throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.